#742 Cycles updates for circular fp

Accepted
closed
nobody
None
master
1
2014-04-05
2014-02-10
John May
No

Adds some simple functionality updates to mimic the CDD ring perception. Was planned already but made sense to patch now : commits on 10th feb.

https://github.com/johnmay/cdk/compare/cdk:master...feature%2Fcycles-filter?expand=1

Related

Patches: #742

Discussion

  • Egon Willighagen

    John, slowly I am finding my way around in the new build system :) See my blog, and thanks for your pointers!

    With this patch, I do see a few regressions:

    -Tests run: 15, Failures: 0, Errors: 0, Skipped: 0|org.openscience.cdk.graph.CyclesTest
    +Tests run: 15, Failures: 0, Errors: 1, Skipped: 0|org.openscience.cdk.graph.CyclesTest

    -Tests run: 13, Failures: 0, Errors: 0, Skipped: 0|org.openscience.cdk.graph.TripletShortCyclesTest
    +Tests run: 13, Failures: 0, Errors: 11, Skipped: 0|org.openscience.cdk.graph.TripletShortCyclesTest

    The patches looks fine to me otherwise...

    Can you look at these regressions?

     
    • John May

      John May - 2014-03-08

      Okay, no problem.

      Will look into it.

      J

      On 8 Mar 2014, at 14:54, Egon Willighagen egonw@users.sf.net wrote:

      John, slowly I am finding my way around in the new build system :) See my blog, and thanks for your pointers!

      With this patch, I do see a few regressions:

      -Tests run: 15, Failures: 0, Errors: 0, Skipped: 0|org.openscience.cdk.graph.CyclesTest
      +Tests run: 15, Failures: 0, Errors: 1, Skipped: 0|org.openscience.cdk.graph.CyclesTest

      -Tests run: 13, Failures: 0, Errors: 0, Skipped: 0|org.openscience.cdk.graph.TripletShortCyclesTest
      +Tests run: 13, Failures: 0, Errors: 11, Skipped: 0|org.openscience.cdk.graph.TripletShortCyclesTest

      The patches looks fine to me otherwise...

      Can you look at these regressions?

      [patches:#742] Cycles updates for circular fp

      Status: open
      Group: Needs_Review
      Created: Mon Feb 10, 2014 12:23 PM UTC by John May
      Last Updated: Mon Feb 10, 2014 12:23 PM UTC
      Owner: nobody

      Adds some simple functionality updates to mimic the CDD ring perception. Was planned already but made sense to patch now : commits on 10th feb.

      https://github.com/johnmay/cdk/compare/cdk:master...feature%2Fcycles-filter?expand=1

      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/patches/742/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #742

  • John May

    John May - 2014-03-09

    I don't get the regressions, have cherry rebased the branch on the current master/ only including the required commits.

    feature/cycles-finder

     
  • Egon Willighagen

    Still not really got a fluent workflow, but another one down...

     
  • Egon Willighagen

    • status: open --> closed
    • Group: Needs_Review --> Accepted
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks